API Reference
Log In
API Reference

Validate remittance Regional

Obtain local remittance verification data.
Authentication is mandatory.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

📋 Validate Remittance Regional

📢 Considerations

It must be implemented on a mandatory basis in cases where the response of the Payment method has not been satisfactorily obtained (for example, when an exception of the TimeOut type has occurred).


📖 Example Requests

Below you will find the body example JSON requests for the api:

  • Example 1: Validate remittance in all the countries (Regional)
{
  "request_transfer_to_account": {
    "credit_description": "string",
    "to": {
      "account": {
        "iban": "string",
        "currency": "string",
        "number": "string",
        "amount": 0
      }
    }
  },
  "name_payee": {
    "first_name": "string",
    "middle_name": "string",
    "last_name": "string",
    "second_last_name": "string"
  },
  "address_payee": {
    "lines": [
      "string"
    ],
    "district": "string",
    "city": "string",
    "country": "string"
  },
  "aditional_payee": {
    "phone": "string",
    "identification_type": "string",
    "identification": "string",
    "economic_activity_id": "string",
    "source_of_funds": "string",
    "occupation": "string",
    "destination_of_funds": "string",
    "sender_relationship": "string",
    "date_of_birth": "2024-10-10T22:09:20.895Z",
    "expiration_date_of_id": "2024-10-10T22:09:20.895Z",
    "gender": "string",
    "nationality": "string",
    "civil_status": "string"
  }
}

JSON response body fields:

NameDescriptionType
transaction_statusstatus of paymentstring
transaction_idId transaction savedstring
credit_accountaccount to give credit from remittancestring
transaction_amountamount of transactionstring
transaction_currencycurrency of transactionstring

📰 Remittance Status

StateDescriptionType
NewA remittance is received for on-line consultationstring
ReceivedThe remittance is received by the remittance company.string
AcceptedThe remittance meets all the validations and is ready for paymentstring
PaymentInProgresshe payment transaction is in progressstring
PaidThe remittance has been paid in a satisfactory mannerstring
NotFoundRemittance not foundstring
RejectedThe data contained in the remittance do not comply with the validationsstring
FailedSomething has gone wrong somewhere in the flowstring
PaymentUnavailableRemittance not available for paymentstring
Path Params
string
enum
required
Defaults to BLHN
Allowed:
string
required
Defaults to 00056449216
Query Params
string
Defaults to PNC
string
Defaults to Test
Body Params
requestTransferToAccount
object
NamePayee
object
AddressPayee
object
AditionalPayee
object
string
Defaults to AMAC
Headers
string
required

Description: Indicates the user querying the call.

string
required

Description: Indicates the key queried by the call.

string
required

Description: Entry point. This value can be an ID that helps to identify the origin of the transaction.

Responses

Language
Credentials
Basic
base64
:
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json